<?php
$etagcheck = isset( $_SESSION['saxueUserId'] ) ? intval( $_SESSION['saxueUserId'] ) : "";
if ( !empty( $_SERVER['HTTP_IF_NONE_MATCH'] ) ) {
		$etagary = explode( "|", $_SERVER['HTTP_IF_NONE_MATCH'] );
		if ( 1 < count( $etagary ) && is_numeric( $etagary[0] ) && $etagcheck == $etagary[1] && ( SAXUE_NOW_TIME - $etagary[0] < 3 ) ) {
				header( "ETag:" . SAXUE_NOW_TIME . "|" . $etagcheck, true, 304 );
				saxue_freeresource();
				exit();
		} 
} 
@header( "ETag:" . SAXUE_NOW_TIME . "|" . $etagcheck );
saxue_getconfigs( 'channel' );
include_once( SAXUE_ROOT_PATH . "/lib/template/template.php" );
$saxueTpl = &saxuetpl :: getinstance();
$saxueTpl -> assign_by_ref( "channel", $saxueChannel );
$saxuepluginmanager -> trigger( 'header' );